Summary:	Nautilus extension for customizing the context menu
Name:		nautilus-actions
Version:	2.30.3
Release:	1%{?dist}
Group:		User Interface/Desktops
License:	GPLv2+
URL:		http://www.grumz.net/node/8
Source0:	http://download.gnome.org/sources/%{name}/2.30/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	nautilus-devel dbus-glib-devel libxml2-devel GConf2-devel
BuildRequires:	libuuid-devel, unique-devel, libSM-devel
BuildRequires:	gettext, perl(XML::Parser)
BuildRequires:	desktop-file-utils intltool

%description
Nautilus actions is an extension for Nautilus, the GNOME file manager.
It provides an easy way to configure programs to be launch on files 
selected in Nautilus interface

%package	devel
Summary:	Development tools for the nautilus-actions
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
This package contains headers and shared libraries needed for development
with nautilus-actions.

%prep
%setup -q

%build
%configure --disable-schemas-install
make %{?_smp_mflags} 

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

rm -rf %{buildroot}%{_datadir}/applications/fedora-nact.desktop

desktop-file-install --delete-original			\
	--vendor fedora					\
	--dir %{buildroot}%{_datadir}/applications	\
	--mode 0644					\
	--remove-category Application			\
	--remove-category AdvancedSettings		\
	--add-category GNOME				\
	--add-category Settings				\
	%{buildroot}%{_datadir}/applications/nact.desktop

find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/nautilus-actions-run
%{_bindir}/nautilus-actions-config-tool
%{_bindir}/nautilus-actions-new
%{_bindir}/nautilus-actions-schemas
%{_libdir}/%{name}/
%{_libdir}/nautilus/extensions-2.0/libnautilus-actions-menu.so
%{_libdir}/nautilus/extensions-2.0/libnautilus-actions-tracker.so
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/nautilus-actions.*
%{_datadir}/applications/fedora-nact.desktop

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/

%changelog
* Tue Jun 15 2010 Deji Akingunola <dakingun@gmail.com> - 2.30.3-1
- Update to 2.30.3

* Thu Apr 15 2010 Deji Akingunola <dakingun@gmail.com> - 2.30.2-1
- Update to 2.30.2, fixes nautilus crashes (bz #581188)

* Sun Apr 11 2010 Deji Akingunola <dakingun@gmail.com> - 2.30.1-1
- Update to 2.30.1

* Sun Mar 28 2010 Deji Akingunola <dakingun@gmail.com> - 2.30.0-2
- NA libs are all private, and should be in the main package

* Fri Mar 26 2010 Deji Akingunola <dakingun@gmail.com> - 2.30.0-1
- Update to 2.30.0

* Fri Jan 29 2010 Deji Akingunola <dakingun@gmail.com> - 2.29.4-1
- Update to 2.29.4

* Mon Nov 09 2009 Deji Akingunola <dakingun@gmail.com> - 1.12.3-1
- Update to 1.12.3 to fix crash while exporting profile (Bug #533009)

* Sun Nov  1 2009 Matthias Clasen <mclasen@redhat.com> - 1.12.2-1
- Update to 1.12.2
- Makes nautilus-actions-config-tool start again

* Wed Aug 12 2009 Deji Akingunola <dakingun@gmail.com> - 1.12.0-1
- Update to 1.12.0

* Tue Aug 04 2009 Deji Akingunola <dakingun@gmail.com> - 1.11.2-1
- Update to 1.11.2

* Tue Aug 04 2009 Deji Akingunola <dakingun@gmail.com> - 1.10.1-3
- Change e2fsprog-devel BR to libuuid-devel

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May 29 2009 Deji Akingunola <dakingun@gmail.com> - 1.10.1-1
- Update to version 1.10.1

* Sat May 09 2009 Deji Akingunola <dakingun@gmail.com> - 1.9-0.5.svn20090508
- Update to a svn snapshot with translations build fix
- Apply patch to call gnome_vfs_init (fix Fedora bug #499944)
- Clean up spec of old crufts

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-0.4.svn20081020
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Oct 23 2008 Deji Akingunola <dakingun@gmail.com> - 1.9-0.3.svn20081020
- Update to a svn snapshot to fix bug #450988

* Sat May 17 2008 Deji Akingunola <dakingun@gmail.com> - 1.4.1-4
- Fix the nautilus-extension directory

* Sun Feb 10 2008 Deji Akingunola <dakingun@gmail.com> - 1.4.1-3
- Rebuild for gcc43

* Wed Aug 22 2007 Deji Akingunola <dakingun@gmail.com> - 1.4.1-2
- Update the Source url
- Rebuild

* Fri Aug 03 2007 Deji Akingunola <dakingun@gmail.com> - 1.4.1-2
- License tag update

* Thu May 03 2007 Deji Akingunola <dakingun@gmail.com> - 1.4.1-1
- New (bug-fix) release

* Wed Sep 13 2006 Deji Akingunola <dakingun@gmail.com> - 1.4-4
- Fix issue with nautilus-action-config, bug #205967

* Mon Aug 28 2006 Deji Akingunola <dakingun@gmail.com> - 1.4-3
- Rebuild for FC6

* Tue Aug 22 2006 Deji Akingunola <dakingun@gmail.com> - 1.4-2
- Requires nautilus-devel instead of just nautilus to build

* Tue Aug 22 2006 Deji Akingunola <dakingun@gmail.com> - 1.4-1
- Update to version 1.4

* Tue May 30 2006 Deji Akingunola <dakingun@gmail.com> - 1.2-2
- Add gettext and perl(XML::Parser) to BRs

* Mon May 01 2006 Deji Akingunola <dakingun@gmail.com> - 1.2-1
- Update to version 1.2
- Make sure fix for upgrade from ver. < 1.0 doesn't throw up errors

* Mon Feb 13 2006 Deji Akingunola <dakingun@gmail.com> - 1.0-2
- Rebuild for Fedora Extras 5

* Wed Feb 8 2006 Deji Akingunola <dakingun@gmail.com> - 1.0-1
- New upstream version
- Do away with gconf schemas installation

* Mon Jan 2 2006 Deji Akingunola <dakingun@gmail.com> - 0.99-6
- Add nautilus extensions dir to configure arguments

* Sun Jan 1 2006 Deji Akingunola <dakingun@gmail.com> - 0.99-5
- Remove libXdmcp-devel as BR, nautilus now takkes care of it

* Sun Dec 18 2005 Deji Akingunola <dakingun@gmail.com> - 0.99-4
- Remove libSM-devel from build require as libgnomeui now build-requires
- Add libXdmcp-devel to the build requires

* Tue Nov 29 2005 Deji Akingunola <dakingun@gmail.com> - 0.99-2
- Remove unnecesary configure options
- Clean-up the desktop file installation
- Add e2fsprogs-devel buildrequire and remove explicit require on nautilus

* Fri Nov 25 2005 Deji Akingunola <dakingun@gmail.com> - 0.99-1
- initial Extras release
